Bug 461863 - Missing libbz2.so.1.0 in bzip2-libs
Missing libbz2.so.1.0 in bzip2-libs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bzip2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 20:23 EDT by Aloisio Almeida Jr
Modified: 2016-01-13 01:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 06:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aloisio Almeida Jr 2008-09-10 20:23:53 EDT
Description of problem:
I noticed that the package bzip2-lib probably is missing a link /lib/libbz2.so.1.0

Steps to Reproduce:
1. Run 'rpm -ql bzip2-libs'
  
Actual results:
/lib/libbz2.so.1
/lib/libbz2.so.1.0.4

Expected results:
/lib/libbz2.so.1
/lib/libbz2.so.1.0
/lib/libbz2.so.1.0.4

Additional info:
Easier to reproduce with packages 'alienized' from debian, for instance, reprepro, the packages that makes me found this problem.
Comment 1 Ivana Varekova 2008-09-12 06:15:54 EDT
The standard convention for fedora libraries is to provide *.so.# and *.so.#.#.# link/library only - if there is necessary to use version 1.0 version of bzip2 library (/lib/libbz2.so.1 is not good enough), then use /lib/libbz2.so.1.0.4 please.
Comment 2 matthiasworsch 2012-05-30 16:53:08 EDT
(In reply to comment #1)
> The standard convention for fedora libraries is to provide *.so.# and
> *.so.#.#.# link/library only - if there is necessary to use version 1.0
> version of bzip2 library (/lib/libbz2.so.1 is not good enough), then use
> /lib/libbz2.so.1.0.4 please.
Comment 3 abdul 2016-01-07 05:48:40 EST
Hello,

I am facing 2 dependency issues while installing the packae beyond compare and below are the dependencies
libbz2.so.1.0()(64bit)
libc.so.6(GLIBC_2.14)(64bit)

The package bzip2-libs provides the first dependency , but the when i installed the bzip2-libs. i couldn't find the library inside it.

[root@euca-10-254-117-106 rpmbuild]# rpm -ql bzip2-libs
/lib64/libbz2.so.1
/lib64/libbz2.so.1.0.4
/lib/libbz2.so.1
/lib/libbz2.so.1.0.4
here the libbz2.so.1. is missing.
How can we resolve this issue.
Comment 4 abdul 2016-01-13 01:06:35 EST
(In reply to abdul from comment #3)
> Hello,
> 
> I am facing 2 dependency issues while installing the packae beyond compare
> and below are the dependencies
> libbz2.so.1.0()(64bit)
> libc.so.6(GLIBC_2.14)(64bit)
> 
> The package bzip2-libs provides the first dependency , but the when i
> installed the bzip2-libs. i couldn't find the library inside it.
> 
> [root@euca-10-254-117-106 rpmbuild]# rpm -ql bzip2-libs
> /lib64/libbz2.so.1
> /lib64/libbz2.so.1.0.4
> /lib/libbz2.so.1
> /lib/libbz2.so.1.0.4
> here the libbz2.so.1. is missing.
> How can we resolve this issue.




Kindly update the result please !!!!!!

Note You need to log in before you can comment on or make changes to this bug.